### Method

# ICalGLib Component get_first_property

since: 1.0

#### Declaration [src]

    ICalProperty*
    i_cal_component_get_first_property (
      ICalComponent* component,
      ICalPropertyKind kind
    )

#### Description [src]

Gets the first `ICalProperty` with specific kind in `ICalComponent`.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  A `ICalPropertyKind`.

#### Return value

Type: `ICalProperty`

The first `ICalProperty`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.